> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# List subscription transitions

> Retrieve existing subscription transitions.



## OpenAPI

````yaml get /v2/subscriptions/transitions
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v2/subscriptions/transitions:
    get:
      tags:
        - Subscriptions > Transitions
      summary: List subscription transitions
      description: Retrieve existing subscription transitions.
      operationId: listSubscriptionTransitions
      parameters:
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            maximum: 100
            default: 50
          required: false
          name: take
          in: query
        - schema:
            type:
              - number
              - 'null'
            minimum: 0
            default: 0
          required: false
          name: skip
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - scheduled
                  - draft
                  - completed
                  - cancelled
                  - failed
                  - pending_quote_signature
              - type: string
                description: scheduled,draft
          required: false
          name: status
          in: query
        - schema:
            anyOf:
              - type: string
                enum:
                  - scheduled
                  - draft
                  - completed
                  - cancelled
                  - failed
                  - pending_quote_signature
              - type: string
                description: scheduled,draft
          required: false
          name: status__in
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id__not
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id__isNull
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id__equals
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id__contains
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: source_subscription_id__endWith
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id__not
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id__isNull
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id__equals
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id__contains
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: base_subscription_id__endWith
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id__not
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id__isNull
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id__isNotNull
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id__equals
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id__contains
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id__startsWith
          in: query
        - schema:
            type: string
          required: false
          name: target_subscription_id__endWith
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__not
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__isNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__isNotNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__equals
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__lt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__lte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__gt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transition_date__gte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__not
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__isNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__isNotNull
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__equals
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__lt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__lte
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__gt
          in: query
        - schema:
            type: string
            format: date-time
          required: false
          name: transitioned_at__gte
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedSubscriptionTransition'
      security:
        - bearer: []
components:
  schemas:
    PaginatedSubscriptionTransition:
      type: object
      properties:
        meta:
          type: object
          properties:
            total:
              type: number
              description: Total of existing items.
              example: 1
            taken:
              type: number
              description: Number of items returned.
              example: 1
            skipped:
              type: number
              description: Number of items skipped.
              example: 0
          required:
            - total
            - taken
            - skipped
        data:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
                description: The unique identifier of the subscription transition
              customer_id:
                type: string
                description: The ID of the customer associated with the transition
              base_subscription_id:
                type: string
                description: >-
                  The ID of the original subscription from which this transition
                  is derived. It references the last active version of the
                  subscription.
              source_subscription_id:
                type: string
                description: The ID of the subscription to transition from
              target_subscription_id:
                type:
                  - string
                  - 'null'
                description: The ID of the subscription to transition to
              status:
                type: string
                enum:
                  - scheduled
                  - completed
                  - failed
                  - draft
                  - cancelled
                  - pending_quote_signature
                description: >-
                  The current status of the subscription transition. Possible
                  values are 'scheduled', 'completed', 'failed', and 'draft'.
              transitioned_at:
                type:
                  - string
                  - 'null'
                format: date
                description: >-
                  The date and time when the transition was completed. Null if
                  the transition is not yet completed. UTC date time string in
                  the [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              name:
                type:
                  - string
                  - 'null'
                description: An optional name for the transition
              transition_date:
                type:
                  - string
                  - 'null'
                format: date
                description: >-
                  The date at which the transition should occur. Only applicable
                  if the application schedule is 'scheduled'. Can be a past date
                  within the current billing period. UTC date time string in the
                  [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
              application_schedule:
                type: string
                enum:
                  - immediately
                  - scheduled
                  - next_renewal
                  - quote_signature
                  - scheduled_after_quote_signature
                description: >-
                  Whether the transition should be applied 'immediately' or
                  'scheduled' for a specific date. Past dates within the current
                  billing period are supported and will be applied immediately.
              billing_cycle_transition_method:
                type:
                  - string
                  - 'null'
                enum:
                  - keep_current_billing_cycle
                  - align_to_new_billing_cycle
                description: >-
                  The billing cycle transition method to use.
                  'keep_current_billing_cycle' will keep the current billing
                  cycle dates if possible. 'align_to_new_billing_cycle' will
                  align the billing cycle to the transition date.
              calculation_method:
                type:
                  - string
                  - 'null'
                enum:
                  - do_not_charge
                  - pro_rata
                description: >-
                  The calculation method to use for the transition.
                  'do_not_charge' will not generate any transition invoice.
                  'pro_rata' will generate a prorated invoice for the remaining
                  period.
            required:
              - id
              - customer_id
              - base_subscription_id
              - source_subscription_id
              - target_subscription_id
              - status
              - transitioned_at
              - name
              - transition_date
              - application_schedule
              - billing_cycle_transition_method
              - calculation_method
          description: List of SubscriptionTransition.
      required:
        - meta
        - data
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````